%{!?drupal6:          %global drupal6          %{_datadir}/drupal6}
%{!?drupal6_modules:  %global drupal6_modules  %{drupal6}/sites/all/modules}

%global module flag

Name:      drupal6-%{module}
Version:   2.2
Release:   1%{?dist}
Summary:   Create customized flags that users can set on content

Group:     Applications/Publishing
License:   GPLv2+
URL:       http://drupal.org/project/%{module}
Source0:   http://ftp.drupal.org/files/projects/%{module}-6.x-%{version}.tar.gz

# CVE-2014-3453 (BZ #1096604, #1096607)
# https://www.drupal.org/node/2263071
# https://www.drupal.org/node/2399299
Patch0:    %{name}-CVE-2014-3453.patch

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:  drupal6
# phpcompatinfo (computed from version 2.2)
Requires:  php-date
Requires:  php-pcre

Provides:  drupal6(flag)         = %{version}
Provides:  drupal6(flag_actions) = %{version}

%description
Flag is a flexible flagging system that is completely customizable by the
administrator. Using this module, the site administrator can provide any
number of flags for nodes, comments, users, and any other type of entity.
Some possibilities include bookmarks, marking important, friends, or flag
as offensive. With extensive views integration, you can create custom
lists of popular content or keep tabs on important content.

This package provides the following Drupal modules:
* %{module}
* %{module}_actions


%prep
%setup -qn %{module}

# CVE-2014-3453
%patch0 -p1


%build
# Empty build section, nothing required


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{drupal6_modules}/%{module}
cp -pr * %{buildroot}%{drupal6_modules}/%{module}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{?_licensedir:%license LICENSE.txt}
%{drupal6_modules}/%{module}
%exclude %{drupal6_modules}/%{module}/includes/flag.export.inc.orig


%changelog
* Sun Jul 19 2015 Shawn Iwinski <shawn.iwinski@gmail.com> - 2.2-1
- Updated to 2.2 (RHBZ #1242294)
- Removed RPM README b/c it only explained common Drupal workflow
- Keep documentation where end-users expect it

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Dec 31 2014 Shawn Iwinski <shawn.iwinski@gmail.com> - 2.1-3
- CVE-2014-3453 (BZ #1096604, #1096607)
- Spec cleanup
- %%license usage

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Sep 12 2013 Jon Ciesla <limburgher@gmail.com> - 2.1-1
- 2.1, BZ 1000475.

* Tue Jun 5 2012 Anderson Silva <ansilva@redhat.com> - 1.3-3
- Update FSF address on LICENSE.txt
- Update description

* Fri Mar 9 2012 Anderson Silva <ansilva@redhat.com> - 1.3-2
- Update spec to comply with Fedora Packaging

* Mon Mar 5 2012 Anderson Silva <ansilva@redhat.com> - 1.3-1
- Initial rpm package
